<?php
/**
 * @file
 * Provides comment  utility functions
 */
/**
 * Returns data on a comment
 *
 * @param $cid
 *   The comment ID
 * @return
 *  An object of comment data with the following properties
 *  title
 *  nid = The id of the node the comment is attached to
 *  status = approved or in moderation queue
 *  name = The comment author's name
 *  uid = The commnent author's user id
 *  homepage = The comment author's website
 *  hostname = Hostname of the user who posted the comment
 *  pid = The comment id of the it's parent comment
 *  thread = The depth of the comment if it's threaded
 *  created = Creation date timestamp
 *  body = The body of the comment
 */
function simple_utilities_commentData($cid) {
  $query = db_select('comment', 'c');
  $query->join('node', 'n', 'c.nid = n.nid');
  $query->join('field_revision_comment_body', 'crcb', 'crcb.entity_id = c.cid');
  $query->condition('c.cid', $cid);
  $query->addField('c', 'subject', 'title');
  $query->addField('c', 'nid', 'nid');
  $query->addField('c', 'status', 'status');
  $query->addField('c', 'name', 'name');
  $query->addField('c', 'uid', 'uid');
  $query->addField('c', 'homepage', 'homepage');
  $query->addField('c', 'thread', 'thread');
  $query->addField('c', 'hostname', 'hostname');
  $query->addField('c', 'pid', 'pid');
  $query->addField('c', 'created', 'created');
  $query->addField('crcb', 'comment_body_value', 'body');
  $result = $query->execute()->fetchAll();
  return $result;
}