<?php
/**
 * @file
 * Provides file utility functions
 */
/**
 * Returns an file's data
 *
 * @param $fid
 *   The file ID
 * @return
 *   An array of file Data
 *   filename
 *   path_to_file = Path to File 
 *   mimetype
 *   size = in Bytes
 *   status
 *   timetamp = upload date
 */
function simple_utilities_fileData($fid) {
  $query = db_select('file_managed', 'fm');
  $query->condition('fm.fid', $fid);
  $query->addField('fm', 'filename');
  $query->addField('fm', 'uri', 'path_to_file');
  $query->addField('fm', 'filemime', 'mimetype');
  $query->addField('fm', 'filesize', 'size');
  $query->addField('fm', 'status');
  $query->addField('fm', 'timestamp');
  $result = $query->execute()->fetchAll();
  return $result[0];
}

/**
 * Returns an file's usage count
 *
 * @param $fid
 *   The file ID
 * @return
 *  The file's usage count
 */
function simple_utilities_fileUseCount($fid) {
  $query = db_select('file_managed', 'fm');
  $query->leftJoin('file_usage', 'fu', 'fm.fid = fu.fid');
  $query->condition('fm.fid', $fid);
  $query->addField('fu', 'count');
  $result = $query->execute()->fetchCol();
  return $result[0];
}